Bug 450607 - Problems with Java Build
Problems with Java Build
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 16:23 EDT by Tyson Whitehead
Modified: 2008-09-16 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to find the libraries and install the jar files. (2.30 KB, patch)
2008-06-09 16:23 EDT, Tyson Whitehead
no flags Details | Diff

  None (edit)
Description Tyson Whitehead 2008-06-09 16:23:31 EDT
Description of problem:

Building the Java libraries does not work correctly (at least on the x86_64).

Specifically, while the cmake file does check under the client directory in the
java libraries directory for libjvm.so, it does not look under the server
directory.  Likewise, it does not look under the xawt and headless directories
for libmawt.so.  (it may be that this should be unnecessary as some other
package really should have put symlinks to them in the java libraries directory)

The RPM also fails to copy the built jar files over.

Version-Release number of selected component (if applicable):

5.0.4-21

How reproducible:

Always.

Steps to Reproduce:
1.  Define with_java in the RPM build system.
2.  Build vtk from source.
  
Actual results:

Linking fails to find libjvm.so and libmawt.so, and the jar files are not
installed.

Expected results:

It builds and install okay.

Additional info:

I've attached a patch to fix these problems.  You will still have to enable
building the java components (define with_java) to see this work.  Also note
that the proper solution to not finding the libraries maybe should be for the
appropriate libraries to be symlinked into the base java libraries directory by
the appropriate package (the cmake file sound like this should be the case).
Comment 1 Tyson Whitehead 2008-06-09 16:23:31 EDT
Created attachment 308755 [details]
Patch to find the libraries and install the jar files.
Comment 2 Axel Thimm 2008-08-10 05:27:16 EDT
Comment on attachment 308755 [details]
Patch to find the libraries and install the jar files.

Tell bugzilla this is a patch, so it displays it inline.
Comment 3 Fedora Update System 2008-08-26 16:16:57 EDT
vtk-5.0.4-23.99.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/vtk-5.0.4-23.99.fc8
Comment 4 Fedora Update System 2008-08-26 16:17:03 EDT
vtk-5.0.4-24.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/vtk-5.0.4-24.fc9
Comment 5 Fedora Update System 2008-09-10 02:54:58 EDT
vtk-5.0.4-23.99.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7584
Comment 6 Fedora Update System 2008-09-10 02:56:18 EDT
vtk-5.0.4-24.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7707
Comment 7 Fedora Update System 2008-09-16 19:23:27 EDT
vtk-5.0.4-23.99.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-09-16 19:25:14 EDT
vtk-5.0.4-24.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.